commit: 6f0f1a58a15a235762d6bd67b2f43e252a205547
Author: Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Mon Jul 19 21:50:46 2021 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul 19 21:50:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6f0f1a58
app-misc/liquidctl: version 1.7.1
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
app-misc/liquidctl/Manifest | 1 +
app-misc/liquidctl/liquidctl-1.7.1.ebuild | 37 +++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/app-misc/liquidctl/Manifest b/app-misc/liquidctl/Manifest
index 6811329bf..7672c4245 100644
--- a/app-misc/liquidctl/Manifest
+++ b/app-misc/liquidctl/Manifest
@@ -1 +1,2 @@
DIST liquidctl-1.7.0.tar.gz 2036796 BLAKE2B
38227ee16daa769c72b6070e23885f14fce3695db01a5b278b37d570cf9c293d8e7442d9f71e26fe3d50890c8cdcd59114539b014c14d3fc6aeca888bfb652da
SHA512
f13925cebad63996475f0535d2db0a0cfb5177a83aebceba0ab45600ab1c175cb76bfb351118acfd4995eec44a75acd86b7b7539d69e999525a3aa9cd88f16ed
+DIST liquidctl-1.7.1.tar.gz 2036957 BLAKE2B
fdafe35b9d9066ee9477803a14bf41424a6b7750cebef03751d7789551269f47f41bfc851132c908038673f12e5ec95c38474319b13d8aa20a2cb93a706ec67c
SHA512
9ff46a0947a7a1d4d083d25939151d9b877b6b3137c92b7d41bc9aecf60b41bd07346ac6ff0f1a83cb1bf7405a13dbc66b8f84f4f9f59ba3de9792897d5a8f08
diff --git a/app-misc/liquidctl/liquidctl-1.7.1.ebuild
b/app-misc/liquidctl/liquidctl-1.7.1.ebuild
new file mode 100644
index 000000000..547ab6c45
--- /dev/null
+++ b/app-misc/liquidctl/liquidctl-1.7.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1 udev
+
+DESCRIPTION="Cross-platform tool and drivers for liquid coolers and other
devices"
+HOMEPAGE="https://github.com/liquidctl/liquidctl"
+SRC_URI="https://github.com/liquidctl/liquidctl/releases/download/v${PV}/${P}.tar.gz"
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/docopt[${PYTHON_USEDEP}]
+ dev-python/hidapi[${PYTHON_USEDEP}]
+ dev-python/pyusb[${PYTHON_USEDEP}]
+ sys-apps/i2c-tools[${PYTHON_USEDEP},python]
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # Without this variable, it attempts to write to /var/run and fails
+ XDG_RUNTIME_DIR="${T}/xdg" distutils-r1_src_test || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc docs/*.md || die
+ dodoc -r docs/linux/
+ udev_dorules extra/linux/71-liquidctl.rules
+}